FreeMat

- Main Page
- Related Pages

vtkSimpleElevationFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkSimpleElevationFilter is a filter to generate scalar values from a dataset. The scalar values are generated by dotting a user-specified vector against a vector defined from the input dataset points to the origin.

To create an instance of class vtkSimpleElevationFilter, simply invoke its constructor as follows

      obj = vtkSimpleElevationFilter

# Methods

The class vtkSimpleElevationFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSimpleElevationFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSimpleElevationFilter = obj.NewInstance ()`
- `vtkSimpleElevationFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetVector (double , double , double )` - Define one end of the line (small scalar values).
- `obj.SetVector (double a[3])` - Define one end of the line (small scalar values).
- `double = obj. GetVector ()` - Define one end of the line (small scalar values).